Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.1.0-2251-testing
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2228 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: geoprocess, view Proyecto:
Has patch: Yes Hito:
Add-on name: Geoprocess: sextante algorithms (org.gvsig.geoprocess.app.sextante)
Description

Some geoalgorithms (e.g. "Create random layer" and "Random DEM", very useful for quick testing) need that the user has to specify
the output view. If I choose an existing view as output one in the combobox, a new view is always created.

Associated revisions
Revision 561 - 10/16/2014 03:55 AM - Francisco Díaz Carsí

refs #2556 Applied patch to fixed it

History
#1 - 10/03/2014 01:01 PM - Antonio Falciano
- Target version set to 2.1.0-2259-rc3
- File PostProcessTaskRunnable_m_MapContext.patch added

Has patch: Yes

I attach a patch that fixes this tedious issue.
The selectedObject, i.e. the view specified by the user, was not an instance of IView, but of ViewDocument.

#2 - 10/03/2014 01:14 PM - Álvaro Anguix
- Has patch changed from No to Yes
- Assignee set to Joaquín  del Cerro Murciano

#3 - 10/16/2014 04:22 AM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from New to Fixed

r561
Aplicado el parche.
#4 - 10/16/2014 04:33 AM - Antonio Falciano

gvsig-geoprocess:r561

Francisco, thank you very much!

#5 - 10/16/2014 07:24 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2251-testing

#6 - 10/16/2014 11:26 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
PostProcessTaskRunnable_m_MapContext.patch 1.06 KB 10/03/2014 Antonio Falciano
